%global commit a9e8e8daab81d1a4d73722c030a66d8d14d38931
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global realname rosinstall
Name:           python-rosinstall
Version:        0.6.29
Release:        1%{?dist}
Summary:        ROS installation utilities

License:        BSD
URL:            http://www.ros.org/wiki/rosinstall
BuildArch:      noarch
Source0:        https://github.com/vcstools/%{realname}/archive/%{commit}/%{realname}-%{version}-%{shortcommit}.tar.gz

BuildRequires:  python-devel
BuildRequires:  python-rosdistro
BuildRequires:  python-setuptools-devel
BuildRequires:  python-sphinx
Requires:       python-vcstools
Requires:       python-rosdistro

%description
rosinstall is a tool to check out ROS source code (or any source code, really)
from multiple version control repositories and updating these checkouts. Given 
a *.rosinstall file that specifies where to get code, rosinstall will check 
out a working copy for you. 


%prep
%setup -qn %{realname}-%{commit}
%if 0%{?rhel}
sed -i 's/haiku/default/' doc/conf.py
sed -i 's/:special-members://g' doc/*.rst
%endif

%build
%{__python} setup.py build
pushd doc
make html
make man
popd

%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -p -m 0644 doc/_build/man/%{realname}.1 $RPM_BUILD_ROOT%{_mandir}/man1/
rm -rf doc/_build/html/.buildinfo

%files
%doc doc/_build/html LICENSE README.rst
%{_bindir}/*
%{python_sitelib}/%{realname}
%{python_sitelib}/%{realname}-%{version}-py?.?.egg-info
%{_mandir}/man1/%{realname}.1.gz

%changelog
* Mon Aug 19 2013 Rich Mattes <richmattes@gmail.com> - 0.6.29-1
- Update to release 0.6.29

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.28-2.20130601git980042b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jun 01 2013 Rich Mattes <richmattes@gmail.com> - 0.6.28-1.20130601git980042b0
- Update to release 0.6.28
- Fix github source url

* Mon Mar 18 2013 Rich Mattes <richmattes@gmail.com> - 0.6.26-1.20130318git6d482b2
- Update to release 0.6.26

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jan 02 2013 Rich Mattes <richmattes@gmail.com> - 0.6.22-1
- Update to release 0.6.22

* Fri Oct 26 2012 Rich Mattes <richmattes@gmail.com> - 0.6.20-1
- Update to release 0.6.20

* Mon Oct 08 2012 Rich Mattes <richmattes@gmail.com> - 0.6.19-2
- Separated build and install steps for setup.py
- Added README and LICENSE

* Sun Sep 02 2012 Rich Mattes <richmattes@gmail.com> - 0.6.19-1
- Update to release 0.6.19

* Wed Jun 06 2012 Rich Mattes <richmattes@gmail.com> - 0.6.17-1
- Update to release 0.6.17

* Wed Apr 25 2012 Rich Mattes <richmattes@gmail.com> - 0.6.15-1
- Initial package
